.section-projects {
    background-color: $black;
    position: relative;
    overflow: hidden;
    height: 100%;

    @media only screen and (min-device-width: 768px) and (max-device-width: 1024px) and (orientation: portrait) {
        height: 80%;
    }

    .navigation {
        position: absolute;
        top: 35%;
        bottom: 0;
        z-index: 3;
        width: 100%;
        max-width: 100%;
        display: flex;
        align-items: flex-start;
        justify-content: flex-end;

        @media (min-width: $lg) {
            top: unset;
            max-width: 45%;
            padding: 3em;
            justify-content: space-between;
        }

        @media (min-width: $xl) {
            padding: 5em;
        }

        .buttons {
            width: 100%;
            outline: none;
            display: flex;
            justify-content: space-between;


            &__next,
            &__prev {
                padding: 2em 1.25em;
                text-transform: uppercase;
                font-size: 0.9rem;

                @media (min-width: $sm) {
                    padding: 2em 1.5em;
                }

                @media (min-width: $md) {
                    padding: 2em 1.75em;
                }
            }

            &__next {
                color: $white;
                background-color: rgba(0, 0, 0, 0.25);
                border-top-left-radius: 50%;
                border-bottom-left-radius: 50%;
                width: 5em;
                margin-right: -2em;

                @media (min-width: $lg) {
                    margin: 0;
                    width: auto;
                    color: $white;
                    border-radius: 0;
                    background-color: $black;
                }
            }

            &__prev {
                color: $white;
                background-color: rgba(0, 0, 0, 0.25);
                border-top-right-radius: 50%;
                border-bottom-right-radius: 50%;
                width: 5em;
                margin-left: -2em;

                @media (min-width: $lg) {
                    margin: 0;
                    width: auto;
                    color: $black;
                    border-radius: 0;
                    background-color: $athens-gray;
                }

                i {
                    padding-left: 2em;

                    @media (min-width: $md) {
                        padding-left: 1.5em;
                    }

                    @media (min-width: $lg) {
                        padding: 0;
                    }
                }
            }

            @media (min-width: $lg) {
                width: auto;
            }
        }

        .progress {
            width: 100%;
            max-width: 8em;
            display: none;

            @media (min-width: $lg) {
                display: block;
            }

            &__current {
                font-size: 2rem;
                font-weight: 300;
            }

            &__bar-outer {
                margin: 0.75em 0;
                height: 2px;
                background: $athens-gray;
            }

            &__bar-inner {
                height: 2px;
                width: 10%;
                background: $blue-ribbon;
                transition: all 0.5s ease 0s;
            }

            &__total-slides {
                font-size: 1rem;
                color: $dove-gray;
            }
        }
    }

    .slide {
        position: absolute;
        height: 100%;
        width: 100%;

        &--active {
            .column {
                &__right {
                    z-index: 1;
                    transform: translate3d(0, 0, 0);
                }

                &__left {
                    z-index: 2;
                    transform: translate3d(0, 0, 0);

                    @media (min-width: $lg) {
                        z-index: 1;
                    }
                }
            }
        }

        &--append {
            .column {
                &__right {
                    @media (min-width: $lg) {
                        animation: projectsRightToLeft 0.5s both;
                    }
                }

                &__left {
                    @media (min-width: $lg) {
                        animation: projectsLeftToRight 0.5s both;
                    }
                }
            }
        }

        &--remove {
            .column {
                &__right {
                    @media (min-width: $lg) {
                        z-index: 1;
                        animation: projectsRightToLeftReverse 0.5s both;
                    }
                }

                &__left {
                    @media (min-width: $lg) {
                        z-index: 1;
                        animation: projectsLeftToRightReverse 0.5s both;
                    }
                }
            }
        }
    }

    .column {
        width: 100%;
        height: 100%;
        overflow: hidden;

        &__right {
            position: absolute;

            @media (min-width: $lg) {
                right: 0;
                transform: translate3d(100%, 0, 0);
                height: 100%;
                width: 55%;
            }
        }

        &__left {
            position: absolute;

            @media (min-width: $lg) {
                left: -1;
                transform: translate3d(-100%, 0, 0);
                height: 100%;
                width: 45%;
            }
        }

        &:hover {
            .project {
                &__description {
                    opacity: 1;
                }

                &__button {
                    @media (min-width: $lg) {
                        width: 100%;
                    }
                }
            }
        }
    }

    .project {
        position: absolute;
        left: -5%;
        bottom: 0;
        padding: 5%  10% 5% 5%;
        margin: 5%;
        display: flex;
        max-width: 35em;
        background-color: $white;
        color: $black;
        flex-direction: column;
        align-items: flex-start;
        justify-content: flex-end;

        @media (min-width: $md) {
            padding: 5%;
        }
        
        @media (min-width: $lg) {
            z-index: 1;
            left: 0;
            width: 100%;
            height: 100%;
            margin: 0;
            padding: 3em;
            color: $black;
            max-width: 100%;
            justify-content: center;
            background-color: $white;
        }

        @media (min-width: $xl) {
            padding: 5em;
        }

        &__description {
            opacity: 1;
            overflow-y: hidden;
            display: none;

            @media (min-width: $md) {
                display: block;
            }

            @media (min-width: $lg) {
                display: block;
                transition: opacity 0.5s ease-in-out;
                opacity: 0;
                max-width: 40em;
            }
        }

        &__button {
            width: 0;
            display: none;
            overflow: hidden;
            transition: width 0.5s ease-in-out;

            @media (min-width: $lg) {
                display: block;
            }
        }

        .subhead {
            display: none;
            margin-bottom: 0.5em;
            flex-direction: row;
            align-items: center;

            @media (min-width: $lg) {
                display: flex;
                margin-bottom: 1em;
            }

            &__number {
                margin-right: 0.5em;
            }

            &__separator {
                height: 1px;
                width: 3.5em;
                background: $white;
                margin-right: 0.5em;

                @media (min-width: $lg) {
                    background: $black;
                }
            }
        }

        &:hover {
            .project {
                &__description {
                    opacity: 1;
                }

                &__button {
                    @media (min-width: $lg) {
                        width: 100%;
                    }
                }
            }
        }
    }

    .preview {
        position: absolute;
        right: 0;
        width: 100%;
        height: 100%;
        background-color: $athens-gray;

        background-size: cover;
        background-position-y: 0%;
        background-position-x: 50%;
        background-repeat: no-repeat;
        background-position: center top;

        &__overlay {
            position: absolute;
            background-color: rgba(0, 0, 0, 0);
            top: 0;
            bottom: 0;
            right: 0;
            left: 0;

            @media (min-width: $lg) {
                display: none;
            }
        }
    }
}
